Skip to content

Update provider.​

PATCH
/backend/v1/providers/{provider}

Requires group admin access for the provider or org admin access if it is globally accessible.
You can update the provider's name, template, inputs, and secrets.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

provider*
Required

Request Body​

application/json
JSON
{
  
"authTemplate": null,
  
"inputs": {
  
  
"additionalProperties": "string"
  
},
  
"maxRequestsPerSecond": 0,
  
"name": "string",
  
"requestConcurrencyLimit": {
  
  
"decayPerSecond": 0,
  
  
"requests": 0
  
},
  
"secrets": {
  
  
"additionalProperties": "string"
  
},
  
"template": null,
  
"test": false
}

Responses​

Successful Response

application/json
JSON
{
  
"message": "string"
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

Updated at: